List AI models

Return the AI model catalog, with optional filters and search.

Endpoint

GET
/ai-models

Query parameters

NameTypeRequiredDescription
statusstringNovisible, not_visible_but_supported or not_supported.
providerstringNoopenai or openrouter.
active_in_conversationsbooleanNoModels for conversation assistants.
active_in_ticketsbooleanNoModels for support-ticket assistants.
active_in_ai_chatbooleanNoModels for AI chat assistants.
active_in_voicebooleanNoModels for voice assistants.
model_name[$ilike]stringNoCase-insensitive pattern, e.g. %gpt%. Also available on label.
searchTermstringNoSearches model_name, label and small_description.
$limitintegerNoPage size. Default 10, max 50.
$skipintegerNoNumber of records to skip.
$sort[field]integerNo1 ascending, -1 descending, e.g. $sort[label]=1.

Request

Response

json

Report an issue with this documentation

Please log in to report issues with our documentation.